Summary: A high-level Python Web framework
Summary(ja): Python の高度なウェブフレームワーク
Name: python-django
Version: 1.1.1
Release: 2%{?_dist_release}
Group: Development/Languages
BuildArch: noarch
License: BSD
URL: http://www.djangoproject.com/
Source0: Django-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: <owa>

%description
Django is a high-level Python Web framework that encourages rapid
development and a clean, pragmatic design. It focuses on automating as
much as possible and adhering to the DRY (Don't Repeat Yourself)
principle.

%description -l ja
Django はハイレベルな Python Web フレームワークであり、素早い開発と
クリーンで実用的な設計を勧めています。Django は可能な限りの自動化と
無駄な繰返しを徹底的に排除することに注目しています。


%package docs
Summary:  Documentation for Django
Group:    Documentation
Requires: %{name} = %{version}-%{release}

%description docs
This package contains the documentation for the Django high-level
Python Web framework.

%prep
%setup -q -n Django-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

# Documentation
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
chmod +x examples/manage.py
mv examples $RPM_BUILD_ROOT%{_datadir}/%{name}/

# Permission fixes
pushd $RPM_BUILD_ROOT%{python_sitelib}/django
	chmod +x conf/project_template/manage.py
	chmod +x bin/compile-messages.py
	chmod +x bin/daily_cleanup.py
	chmod +x bin/django-admin.py
	chmod +x bin/make-messages.py
	chmod +x bin/unique-messages.py
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README
%{_bindir}/django-admin.py
%{python_sitelib}/django
%{python_sitelib}/Django-%{version}-py%{pyver}.egg-info

%files docs
%defattr(-,root,root,-)
%doc docs/*
%{_datadir}/%{name}

%changelog
* Tue Feb 02 2010 Shu KONNO <owa@bg.wakwak.com> 1.1.1-2
- rebuild with python-2.6

* Sun Oct 18 2009 Shu KONNO <owa@bg.wakwak.com> 1.1.1-1
- updated Django to 1.1.1

* Fri Jul 31 2009 Shu KONNO <owa@bg.wakwak.com> 1.1-1
- updated Django to 1.1
- added japanese description

* Fri Nov 28 2008 Shu KONNO <owa@bg.wakwak.com> 1.0.2-1vl5
- updated Django to 1.0.2-final

* Wed Oct 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.0-1vl5
- packaged new

